/*
 * $Id: memory.x,v 1.1 2002/04/01 12:48:28 cjh Exp $
 *
 * Boot block memory map for 68HC11 GNU tools; suitable for E9 (512 bytes RAM)
 */
MEMORY
{
  /* Use page0 for some code as well as gcc temporary variables */
  page0 (rwx) : ORIGIN = 0x0000, LENGTH = 0xA0

  /*
   * More of page0 is for data, but don't forget:
   *	7 bytes of DB11 talker variables,
   *	60 bytes of boot-mode vectors.
   */
  data  (rwx) : ORIGIN = 0x00A0, LENGTH = 0x100-0x00A0-60-7

  /*
   * Use most of remaining RAM for code, leaving:
   *	9 bytes for DB11 interrupt frame,
   *	15 bytes for a gcc interrupt frame (9+3*2),
   *	10 bytes for stack
   */
  text  (rx)  : ORIGIN = 0x0100, LENGTH = 0x0100-(9+15+10)
}
/* Setup the stack on the top of the builtin RAM */
PROVIDE (_stack = 0x00200 - 1);
