/*
 * $Id: comms.h,v 1.7 2002/03/13 10:17:17 cjh Exp $
 *
 * Routines for communicating with MC68HC11 after download.
 *
 * Copyright (c) 1996-2000, Clifford Heath.
 *
 * This program may be used for any commercial or noncommercial purpose
 * without charge, but acknowledgement of authorship and this copyright
 * message must be retained in any copies.
 */
#ifndef	COMMS_H
#define	COMMS_H

/*
 * Function prototypes:
 */
void		Connect(int baud);
void		ProcessInput();
boolean		processMCUInput();
boolean		processKeyInput();

boolean		ProcessCommandLine(char* buf);
void		Send(char ch);
void		Dump(char ch);

/*
 * Dump functions:
 */
void		DescribeDumpMode();	/* Show current Dump mode */
void		DumpAscii(char ch);	/* Show characters printable */
void		DumpHex(char ch);	/* Show characters as hex and binary */

/*
 * Send functions:
 */
void		DescribeSendMode();	/* Show current send mode */
void		SendDirect(char ch);
void		SendHex(char ch);

#endif	/* COMMS_H */
