/*
 * $Id: db11.h,v 1.16 2002/04/01 13:02:13 cjh Exp $
 *
 * Download code to a 68hc11 and talk to it in various ways
 *
 * Copyright (c) 1996-2000, Clifford Heath.
 *
 * This program may be used for any commercial or noncommercial purpose
 * without charge, but acknowledgement of authorship and this copyright
 * message must be retained in any copies.
 */
#ifndef	db11_H
#define	db11_H

typedef	void	(*sighandler_t)(int);

/*
 * Global variables
 */
extern	char*	progname;		/* Program name, for error messages */
extern	int	not_really;		/* Just pretend, don't do anything */
extern	int	verbose;		/* Talk a lot */
extern	boolean	modes['z'-'a'+1];	/* Display modes */

extern	Serial*	stdio;			/* I/O object for kbd/screen */
extern	Serial*	mcu;			/* I/O object for MC68HC11 */

extern	const	char*	hex;		/* Hex chars */

extern	int	force_connect;		/* Connect even if boot echo seems bad*/
extern	char*	script_dir;		/* dir where current script was found */

#define	MODEFLAG(c)	(modes[(c)-'a'])

#define	DEBUG_MODE	MODEFLAG('d')
#define	LOCAL_ECHO	MODEFLAG('e')
#define	MIDI_MODE	MODEFLAG('m')
#define	QUIET_MODE	MODEFLAG('q')
#define	HEX_INPUT	MODEFLAG('i')
#define	HEX_OUTPUT	MODEFLAG('h')
#define	SLOW_MODE	MODEFLAG('s')	/* Verify every byte echoed */

boolean		CommandList(char** argv, boolean (*cmd)(char**& argv));
boolean		Command(char**& argv);
FILE*		PathOpen(const char* file, const char* mode, boolean is_script);
void		GetAddressRange(char**& argv, long* start, long* count);

#endif	/* db11_H */
