/*
 * $Id: multiplex.h,v 1.3 2000/07/31 04:44:28 cjh Exp $
 *
 * Input/Output Multiplexer
 *
 * Copyright (c) 1996-2000, Clifford Heath.
 *
 * This program may be used for any commercial or noncommercial purpose
 * without charge, but acknowledgement of authorship and this copyright
 * message must be retained in any copies.
 */
#ifndef	MULTIPLEX_HXX
#define	MULTIPLEX_HXX

/*
 * Interface class for Pollable IO sources.
 */
class	Multiplexed
{
private:
	virtual	boolean	request(	// Is a request required?
				int*		fd,		// fd to poll
				boolean*	is_output,	// read or write
				long*		max_delay	// in millisecs
			) = 0;
	virtual	void	ready() = 0;	// Multiplexer found it ready

	friend boolean	Multiplex(Multiplexed**, int);
};

/*
 * Poll the array of Multiplexed objects, tell whichever ones are ready,
 * and return TRUE if any were (in the allowed time)
 */
boolean	Multiplex(
		Multiplexed**	mpx_pp,
		int		num_mpx
	);

#endif	/* MULTIPLEX_HXX */
