/*
 * $Id: symbol.h,v 1.2 2001/02/06 11:14:24 cjh Exp $
 *
 * Symbol table
 *
 * Copyright (c) 1996-2000, Clifford Heath.
 *
 * This program may be used for any commercial or noncommercial purpose
 * without charge, but acknowledgement of authorship and this copyright
 * message must be retained in any copies.
 */
#if	!defined(SYMBOL_H)
#define	SYMBOL_H

typedef	enum {
	SymUndef,
	SymCode,
	SymData
} SymState;

void		SymbolDefine(		// (un)define named symbol to value
			const char*	name,
			ulong		value,
			SymState	state = SymCode
		);
SymState	SymbolValue(		// Get value of named symbol
			const char*	name,
			ulong&		value
		);
SymState	SymbolNear(		// Find symbol closest before addr
			ulong		addr,
			char*&		name,
			SymState	state = SymCode
		);

#endif	/* SYMBOL_H */
