/*
 * $Id: talker.h,v 1.10 2000/09/01 13:40:59 cjh Exp $
 *
 * Talk to the Talker that's been loaded into the MC68HC11
 *
 * Copyright (c) 1996-2000, Clifford Heath.
 *
 * This program may be used for any commercial or noncommercial purpose
 * without charge, but acknowledgement of authorship and this copyright
 * message must be retained in any copies.
 */
#if	!defined(TALKER_H)
#define	TALKER_H

/*
 * Copies of talker variables:
 */
extern	ushort	eaddr;

typedef	struct
{
	ushort	sp;
	uchar	ccr;
	uchar	acca;
	uchar	accb;
	ushort	x;
	ushort	y;
	ushort	pc;
} Frame;

/*
 * Condition code bit definitions
 */
#define	CCR_S	0x80
#define	CCR_X	0x40
#define	CCR_H	0x20
#define	CCR_I	0x10
#define	CCR_N	0x08
#define	CCR_Z	0x04
#define	CCR_V	0x02
#define	CCR_C	0x01

boolean		TalkerSync();
int		TalkerGet1Soon();
boolean		TalkerSendCheckEcho(uchar byte);
boolean		TalkerSetAddr(short addr);
int		TalkerGetMem(uchar* buf, int count);
int		TalkerPutMem(uchar* buf, int count);
boolean		TalkerSetProgVars(
			ushort	prog_reg, // Addr of the prog register
			uchar	prepare,  // reg val before programming
			uchar	start,	  // reg val starts programming
			uchar	done	  // reg val ends programming
		);
int		TalkerProgMem(uchar* buf, int count, int delay_ms);
int		TalkerWrite(ushort addr, uchar* data, int count, boolean erase);
boolean		TalkerGetRegisters(Frame* frame);
boolean		TalkerSetRegisters(Frame* frame);
boolean		TalkerSetStack(ushort val);
boolean		TalkerRun();

#endif	/* TALKER_H */
