/*
 * $Id: util.h,v 1.12 2002/03/13 10:17:20 cjh Exp $
 *
 * Utility functions for db11
 *
 * Copyright (c) 1996-2000, Clifford Heath.
 *
 * This program may be used for any commercial or noncommercial purpose
 * without charge, but acknowledgement of authorship and this copyright
 * message must be retained in any copies.
 */
#ifndef	UTIL_H
#define	UTIL_H

#if defined(NEED_BOOLEAN)
typedef	int	boolean;
#define	FALSE	0
#define	TRUE	1
#endif

typedef	unsigned char	uchar;
typedef	unsigned short	ushort;
typedef	unsigned long	ulong;

typedef struct {
	int	address;
	int	bytes;
	char	data[40];
} S19;

class		Serial;		// Forward declaration in case not seen yet

char*		Ascii(char ch, boolean passwhite = TRUE);
void		Fatal(char* fmt, ...);
void		Notify(char* fmt, ...);
int		ReadS19(FILE* fp, S19* sp);
void		Reset(Serial* sio, char* fmt, ...);
char*		concat(const char* s1, const char* s2);
int		memdiff(const char* s1, const char* s2, int max);
char**		strcmd(const char* line, const char* magic, int* argc_p);
void		strcmdfree(char** argv);
void		TraceTime(const char* fmt, ...);

#if	defined(NEED_SNPRINTF_PROTO)
int snprintf(char *str, size_t size, const  char  *format, ...);
#endif

#if defined(NEED_STRCASECMP)
#define	strcasecmp(a, b)	(strcoll((a), (b)) == 0)
#endif

#endif	/* UTIL_H */
