;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;
; $Id: eeboot.s,v 1.2 2002/04/01 13:01:02 cjh Exp $
;
; 68hc11 debug monitor (shared code for EEPROM resident version)
;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

		include	"config.s"	; talker configuration definitions

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
; RAM layout:
; Stack: 9 bytes for an interrupt, 4 bytes for two JSR levels, 1 for PSHA
;	 User program may move stack elsewhere to free the 14 bytes page0 RAM
; Variables: 7 bytes
; Vectors: 60 bytes of normal bootmode vectors
VEC_BASE	=	0x100-60	; boot-mode vectors start here
VARS_BASE	=	VEC_BASE-VARS_SIZE ; Variables come before vectors
STACK_BASE	=	VARS_BASE-STACK_SIZE	; Lowest point of stack
STACK_START	=	VARS_BASE-9-1	; Initial stack setting, postdecremented

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
; Initialisation code.
; Set SWI and COP Reset Vectors:
Start:		ldaa	#0x7E
		staa	VEC_SWI		; JMP opcode
		staa	VEC_COPWDOG
		ldd	#SWI_Interrupt	; location
		std	VEC_SWI+1
		std	VEC_COPWDOG+1

		include	"eeprom.s"

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
; Bootmode Vector table, 60 bytes of vectors before 0x100
VEC_SCI		=	VEC_BASE+0	; SCI interrupt vector
VEC_SPI		=	VEC_BASE+3
VEC_PULSE_EDGE	=	VEC_BASE+6
VEC_PULSE_OVER	=	VEC_BASE+9
VEC_TIME_OVER	=	VEC_BASE+12
VEC_TIME_IC4O5	=	VEC_BASE+15
VEC_TIME_OC4	=	VEC_BASE+18
VEC_TIME_OC3	=	VEC_BASE+21
VEC_TIME_OC2	=	VEC_BASE+24
VEC_TIME_OC1	=	VEC_BASE+27
VEC_TIME_IC3	=	VEC_BASE+30
VEC_TIME_IC2	=	VEC_BASE+33
VEC_TIME_IC1	=	VEC_BASE+36
VEC_RTI		=	VEC_BASE+39
VEC_IRQ		=	VEC_BASE+42
VEC_XIRQ	=	VEC_BASE+45
VEC_SWI		=	VEC_BASE+48	; Talker sets this...
VEC_ILLOPCODE	=	VEC_BASE+51
VEC_COPWDOG	=	VEC_BASE+54	; and this.
VEC_CLOCKMON	=	VEC_BASE+57
