;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;
; $Id: hc11k.s,v 1.2 2000/11/05 00:36:59 cjh Exp $
;
; 68hc11 debug monitor (resident part)
;
; Some CPU register variable definitions for the K series.
;
; Copyright (c) 2000, Clifford Heath.
;
; This program may be used for any commercial or noncommercial purpose
; without charge, but acknowledgement of authorship and this copyright
; message must be retained in any copies.
;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

REGS		=	0x0	; Device register location
BPROT		=	0x35	; Block protect register for EEPROM

BAUDHI		=	0x70	; BAUD HI rate register
BAUD		=	0x71	; BAUD LO rate register
SCCR2		=	0x73	; SCI control register 2
SCSR		=	0x74	; SCI status register
SCDR		=	0x77	; SCI data register

; Some values for the registers:
RDRF		=	0x20	; SCSR "Received Data Ready" flag
TDRE		=	0x80	; SCSR "Transmit Data Register Empty" flag
SCI_ENABLE	=	0x0C	; Transmitter and receiver enable, no interrupts
BAUDRATE	=	0x1A	; 9600 Baud for a 8Mhz clock (19200 for 16Mhz)
;BAUDRATE_HI	=	0x0D	; 19200 Baud for a 8Mhz clock (38400 for 16Mhz)

BOOT_BASE	=	0x80
