;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;
; $Id: ramvec.s,v 1.3 2002/04/01 13:01:02 cjh Exp $
;
; 68hc11 debug monitor (RAM bootloaded version)
;
; Vectors and variables for RAM talker
;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
; Variables, stack and boot-mode vectors
; 20x3-byte bootmode vectors = 60
		.org	0x100-60-STACK_SIZE-VARS_SIZE-BOOT_BASE
VARS_BASE:				; address of variables block (vecs-8)
EADDR:		.word	0		; address of next byte to program
EREG:		.skip	2		; address where ELAT and EPROG live
EPREP:		.skip	1		; normally with ELAT set
ESTART:		.skip	1		; normally with ELAT and EPROG set
EDONE:		.skip	1		; normally with ELAT and EPROG clear

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
; Stack: 9 bytes for an interrupt, 4 bytes for two JSR levels, 1 for psha
STACK_BASE	=	0x100-60-STACK_SIZE-BOOT_BASE
		.org	STACK_BASE
		.skip	STACK_SIZE,0xFF	; Fill so we can see it in S19
STACK_START	=	.-9-1		; Initial stack setting

; Bootmode Vector table
  		.org	0x100-60-BOOT_BASE ; 60 bytes of vectors before 0x100
VEC_SCI:	jmp	NULLSRV		; SCI interrupt vector
VEC_SPI:	jmp	NULLSRV
VEC_PULSE_EDGE:	jmp	NULLSRV
VEC_PULSE_OVER:	jmp	NULLSRV
VEC_TIME_OVER:	jmp	NULLSRV
VEC_TIME_IC4O5: jmp	NULLSRV
VEC_TIME_OC4:	jmp	NULLSRV
VEC_TIME_OC3:	jmp	NULLSRV
VEC_TIME_OC2:	jmp	NULLSRV
VEC_TIME_OC1:	jmp	NULLSRV
VEC_TIME_IC3:	jmp	NULLSRV
VEC_TIME_IC2:	jmp	NULLSRV
VEC_TIME_IC1:	jmp	NULLSRV
VEC_RTI:	jmp	NULLSRV
VEC_IRQ:	jmp	NULLSRV
VEC_XIRQ:	jmp	NULLSRV
VEC_SWI:	jmp	SWI_Interrupt
VEC_ILLOPCODE:	jmp	NULLSRV
VEC_COPWDOG:	jmp	Start	; RESET due to COP watchdog
VEC_CLOCKMON:	jmp	NULLSRV
;VEC_RESET:	jmp	NULLSRV		; No user-reset vector in bootmode
