;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;
; $Id: talkE2.s,v 1.1 2001/01/19 01:46:41 cjh Exp $
;
; 68hc11 debug monitor (0x??00 EEPROM resident version for E2 series)
; This is different from the others; it doesn't run in bootstrap mode.
; Instead it's loaded into EEPROM (using a RAM talker), then the MCU
; is rebooted in normal mode.
;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

		include	"hc11a-f.s"
		include	"config.s"	; talker configuration definitions

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
; Page0 RAM layout:
; Stack: 9 bytes for an interrupt, 4 bytes for two JSR levels, 1 for PSHA
;	 User program may move stack elsewhere to free the 14 bytes page0 RAM
; Variables: 7 bytes
VARS_BASE	=	0x100-VARS_SIZE ; Variables come at end of page0
STACK_BASE	=	VARS_BASE-14	; Lowest point of stack (before vars)
STACK_START	=	VARS_BASE-9-1	; Initial stack setting, postdecremented

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
; Initialisation code.
Start:
		include	"eeprom.s"

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
; Variables
EADDR		=	VARS_BASE+0	; address of next byte to program
EREG		=	VARS_BASE+2	; address where ELAT and EPROG live
EPREP		=	VARS_BASE+4	; normally with ELAT set
ESTART		=	VARS_BASE+5	; normally with ELAT and EPROG set
EDONE		=	VARS_BASE+6	; normally with ELAT and EPROG clear

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
; Bootmode Vector table, 42 bytes of vectors before end of memory
VEC_SCI:	.word	NULLSRV		; SCI interrupt vector
VEC_SPI:	.word	NULLSRV
VEC_PULSE_EDGE:	.word	NULLSRV
VEC_PULSE_OVER:	.word	NULLSRV
VEC_TIME_OVER:	.word	NULLSRV
VEC_TIME_IC4O5:	.word	NULLSRV
VEC_TIME_OC4:	.word	NULLSRV
VEC_TIME_OC3:	.word	NULLSRV
VEC_TIME_OC2:	.word	NULLSRV
VEC_TIME_OC1:	.word	NULLSRV
VEC_TIME_IC3:	.word	NULLSRV
VEC_TIME_IC2:	.word	NULLSRV
VEC_TIME_IC1:	.word	NULLSRV
VEC_RTI:	.word	NULLSRV
VEC_IRQ:	.word	NULLSRV
VEC_XIRQ:	.word	NULLSRV
VEC_SWI:	.word	SWI_Interrupt
VEC_ILLOPCODE:	.word	NULLSRV
VEC_COPWDOG:	.word	Start
VEC_CLOCKMON:	.word	NULLSRV
VEC_RESET:	.word	Start
